petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexCreateDefaultReferenceTree

create a reference tree for isotropic hierarchical mesh refinement.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateDefaultReferenceTree(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *ref)

Collective on comm

### Input Parameters

| comm | - the MPI communicator
| dim | - the spatial dimension
| simplex | - Flag for simplex, otherwise use a tensor-product cell

### Output Parameters

ref -the reference tree DMPlex object

### Keywords

reference cell

### See Also

DMPlexSetReferenceTree(), DMPlexGetReferenceTree()

Level:intermediate
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages